## org.eclipse.amp.agf.zest.ide
Class ZestSliderContribution

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.ControlContribution
              org.eclipse.ui.internal.menus.InternalControlContribution
                  org.eclipse.ui.menus.WorkbenchWindowControlContribution
                      org.eclipse.amp.agf.zest.ide.ZestSliderContribution

All Implemented Interfaces:
  org.eclipse.jface.action.IContributionItem

    public class ZestSliderContribution

extends org.eclipse.ui.menus.WorkbenchWindowControlContribution

The Class ZestSliderContribution.

Constructor Summary
`ZestSliderContribution(org.eclipse.zest.core.widgets.Graph graph)` Instantiates a new zest slider contribution.

Method Summary

Methods inherited from class org.eclipse.ui.menus.WorkbenchWindowControlContribution
`delegateCreateControl, getCurSide, getOrientation, getWorkbenchWindow`

Methods inherited from class org.eclipse.ui.internal.menus.InternalControlContribution
`setCurSide, setWorkbenchWindow`

Methods inherited from class org.eclipse.jface.action.ControlContribution
`fill, fill, fill`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ZestSliderContribution

    public ZestSliderContribution(org.eclipse.zest.core.widgets.Graph graph)

  Instantiates a new zest slider contribution.

  Parameters:
    `graph` - the graph